Package Gnumed :: Package timelinelib :: Package db :: Package backends :: Module memory :: Class MemoryDB |
[frames] | no frames]

# Class MemoryDB

source code

             object --+
                      |
    observer.Observable --+
                          |
                         MemoryDB

Instance Methods
__init__(self) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
get_time_type(self) | source code
is_read_only(self) | source code
supported_event_data(self) | source code
search(self, search_string) | source code
get_events(self, time_period) | source code
get_all_events(self) | source code
get_first_event(self) | source code
get_last_event(self) | source code
save_event(self, event) | source code
delete_event(self, event_or_id) | source code
get_categories(self) | source code
get_containers(self) | source code
save_category(self, category) | source code
delete_category(self, category_or_id) | source code
load_view_properties(self, view_properties) | source code
save_view_properties(self, view_properties) | source code
disable_save(self) | source code
enable_save(self, call_save=True) | source code
place_event_after_event(self, event_to_place, target_event) | source code
place_event_before_event(self, event_to_place, target_event) | source code
find_event_with_id(self, id) | source code
Inherited from `observer.Observable`: `register`, `unregister` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)